<<<<<<< HEAD
# mmathlib

**Compile and run**
```bash
git clone https://code.smolnet.org/micke/mmathlib.git
cd mmathlib
g++ -o fractions fractions.cpp
./fractions
g++ -o cnumber cnumber.cpp
./cnumber
g++ -o matrix matrix.cpp           
./matrix
```

**Output**

```
7/3=(7/3)
7/3=2.333333333
1/11=(1/11)
1/11=0.09090909091
(7/3)+(1/11)=(80/33)
(7/3)+(1/11)=2.424242424
(7/3)-(1/11)=(74/33)
(7/3)-(1/11)=2.242424242
(7/3)*(1/11)=(7/33)
(7/3)*(1/11)=0.2121212121
(7/3)/(1/11)=(77/3)
(7/3)/(1/11)=25.66666667
0.75=(3/4)
a = 3+2i
a* = 3-2i
a*a* = 13
b = 4-3i
b* = 4+3i
b*b* = 25
a + b = 7-i
(a + b)* = 7+i
a - b =  -1+5i
(a - b)* = -1-5i
a * b =  18-i
(a * b)* = 18+i
a / b = (6/25)+(17/25)i
(a / b)* = (6/25)-(17/25)i
The matrix m:
| 7 | 5 | i |
| 0 | 2 | 0 |
| -i | 0 | 4 |
The matrix m's transpose:
| 7 | 0 | -i |
| 5 | 2 | 0 |
| i | 0 | 4 |
The matrix m is not hermitian, here is the hermitian conjugate:
| 7 | 0 | i |
| 5 | 2 | 0 |
| -i | 0 | 4 |
```
